---
title: PushEvent.data
slug: Web/API/PushEvent/data
tags:
  - API
  - Experimental
  - Property
  - Push
  - PushEvent
  - Reference
  - data
---
<p>{{APIRef("Push API")}}{{SeeCompatTable()}}</p>

<p>The <code>data</code> read-only property of the <strong><code>PushEvent</code></strong> interface returns a reference to a {{domxref("PushMessageData")}} object containing data sent to the <span style="line-height: 19.0909080505371px;">{{domxref("PushSubscription")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myPushData = PushEvent.data;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("PushMessageData")}} object.</p>

<p><strong style="font-size: 2.14285714285714rem; font-weight: 700; letter-spacing: -1px; line-height: 30px;">Examples</strong></p>

<p>The following example takes data from a PushEvent and displays it on all of the service workers' clients.</p>

<pre class="brush: js">self.addEventListener('push', function(event) {
  if (!(self.Notification &amp;&amp; self.Notification.permission === 'granted')) {
    return;
  }

  var data = {};
  if (event.data) {
    data = event.data.json();
  }
  var title = data.title || "Something Has Happened";
  var message = data.message || "Here's something you might want to check out.";
  var icon = "images/new-notification.png";

  var notification = new Notification(title, {
    body: message,
    tag: 'simple-push-demo-notification',
    icon: icon
  });

  notification.addEventListener('click', function() {
    if (clients.openWindow) {
      clients.openWindow('https://example.blog.com/2015/03/04/something-new.html');
    }
  });
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Push API','#dom-pushevent-data','data')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PushEvent.data")}}</p>
</div>
